Minimum System Requirements(HW/SW) for running elctron app


#1

I am deciding between options for building native desktop app.
I do not find any documentation for minimum system specs (OS/HW) for runtime of electron apps.
Windows 7 is required that I have read on a thread. But I suspect that since it packages everything in browser like environment, it should run everywhere. I don’t have diff OS’s to test.
Can’t install VMs due to pure laziness and memory constraint.
Can you help me out?


#2

What OS does Chrome support? What OS does Node support? Electron supports whatever the overlap is.


#3

Found the answer via SO:
http://electron.atom.io/docs/v0.37.3/tutorial/supported-platforms/

Following platforms are supported by Electron:

OS X

Only 64bit binaries are provided for OS X, and the minimum OS X version supported is OS X 10.9.

Windows

Windows 7 and later are supported, older operating systems are not supported (and do not work).

Both x86 and amd64 (x64) binaries are provided for Windows. Please note, the ARM version of Windows is not supported for now.

Linux

The prebuilt ia32(i686) and x64(amd64) binaries of Electron are built on Ubuntu 12.04, the arm binary is built against ARM v7 with hard-float ABI and NEON for Debian Wheezy.

Whether the prebuilt binary can run on a distribution depends on whether the distribution includes the libraries that Electron is linked to on the building platform, so only Ubuntu 12.04 is guaranteed to work, but following platforms are also verified to be able to run the prebuilt binaries of Electron:

Ubuntu 12.04 and later
Fedora 21
Debian 8


#4

It’s probably best if people just refer to:

http://electron.atom.io/docs/latest/tutorial/supported-platforms/

Because the above post will become out-of-date, whereas the documentation link at “latest” will be updated as appropriate.


#5

The supported platforms site say: :

whether the prebuilt binary can run on a distribution depends on whether the distribution includes the libraries that Electron is linked to on the building platform, so only Ubuntu 12.04 is guaranteed to work

Where can I find the libraries that Electron is linked to on the building platform? Can somebody provide a link?